Subject: Re: [PATCH 2.6.14-rc5 1/1] : mv643xx_eth_pcidev - implements hotplug for the marvell gige functionality by probing the northbridge pci id.

From: "Mark A. Greer" <[email-masked]>
Date: Tue, 1 Nov 2005 09:57:29 -0700

On Tue, Nov 01, 2005 at 08:25:24PM +1100, Paul Mackerras wrote:
> Mark A. Greer writes:
> 
> > It does have a PIC, DMA engine, and SRAM that Sven mentioned but there
> > are also a serial controller (MPSC), an i2c controller, and a watchdog
> > timer.  I would guess that the MPSC and i2c drivers, at least, should
> > use MODULE_DEVICE_TABLE.  If you agree, I'll add it to the list.
> 
> But the point is that if one driver has claimed the device (because
> its ID is in its module device table), the other drivers won't be able
> to.

Okay.  TBH, I still have to look at what the MODULE_DEVICE_TABLE does so
it was ignorance + laziness on my part.

> You need something like the macio driver that BenH did, which
> claims the macio device and creates a macio bus structure and allows
> individual macio device drivers to claim the pieces of it.

I'll take a look.

Mark